Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 481972

Summary: sys-libs/libstatgrab with sys-libs/ncurses[tinfo] - .../work/libstatgrab-0.17/src/saidar/saidar.c:135: error: undefined reference to 'stdscr'
Product: Gentoo Linux Reporter: Jeroen Roovers <jer>
Component: [OLD] Core systemAssignee: Tim Harder <radhermit>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 457530    
Attachments: sys-libs:libstatgrab-0.17:20130821-135354.log

Description Jeroen Roovers gentoo-dev 2013-08-21 14:13:05 UTC
Created attachment 356598 [details]
sys-libs:libstatgrab-0.17:20130821-135354.log

Wed Aug 21 16:12:15 CEST 2013
emerge --info sys-libs/ncurses sys-libs/libstatgrab
Portage 2.2.0 (default/linux/amd64/13.0/no-multilib, gcc-4.6.3, glibc-2.15-r3, 3.10.5-JeR x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.10.5-JeR-x86_64-Pentium-R-_Dual-Core_CPU_E5300_@_2.60GHz-with-gentoo-2.2
KiB Mem:     4053096 total,    534164 free
KiB Swap:    2097148 total,   2089752 free
Timestamp of tree: Tue, 20 Aug 2013 21:45:01 +0000
ld GNU gold (GNU Binutils 2.23.1) 1.11
distcc 3.1 x86_64-pc-linux-gnu [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.5, 3.2.5-r1
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.6, 1.12.6, 1.13.1
sys-devel/binutils:       2.22-r1, 2.23.1
sys-devel/gcc:            4.6.3, 4.8.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo JeR
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -frecord-gcc-switches -g -pipe -O2 -Wall -mcx16 -msahf -mno-movbe -mno-aes -mno-pclmul -mno-popcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm -mno-avx -mno-sse4.2 -mno-sse4.1 --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=2048 -mtune=core2 -Wno-comment"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -frecord-gcc-switches -g -pipe -O2 -Wall -mcx16 -msahf -mno-movbe -mno-aes -mno-pclmul -mno-popcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm -mno-avx -mno-sse4.2 -mno-sse4.1 --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=2048 -mtune=core2"
DISTDIR="/world/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=" http://de-mirror.org/distro/gentoo/ http://mirror.netcologne.de/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://gentoo.tiscali.nl/ http://mirror.leaseweb.com/gentoo/ "
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/newaches/gentoo/packages/wim"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/world/gentoo/portage"
PORTDIR_OVERLAY="/keeps/gentoo/local"
USE="256-color X a52 aac acl acpi alsa amd64 bash-completion berkdb bzip2 cairo cli consolekit cracklib crypt cups cxx distinct-l dri drm flac fortran gdbm gif graphite gtk gudev hwdb iconv idn introspection ipv6 jack jpeg kde kmod lame minizip mmx modules mono mudflap multislot multitarget musepack ncat ncurses nls nptl offensive ogg opengl openmp openrc opus pam pcre perl png policykit pulseaudio python qt3support quesoglc readline samba savedconfig session smp sse sse2 ssl ssse3 tcpd test theora threads tinfo truetype unicode upower vdpau vim-syntax vorbis wavpack x264 xa xcb xft zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_GB nl" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="sparc64" QEMU_USER_TARGETS="sparc64" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sys-libs/ncurses-5.9-r2 was built with the following:
USE="cxx tinfo unicode -ada -debug -doc -gpm -minimal -profile -static-libs -trace"
Comment 1 Jeroen Roovers gentoo-dev 2014-11-10 11:13:32 UTC
Comment on attachment 356598 [details]
sys-libs:libstatgrab-0.17:20130821-135354.log

libstatgrab-0.91 simply disables its use entirely instead:

checking for working ncurses... no
configure: WARNING: Unable to find curses or ncurses; disabling saidar
Comment 2 Jeroen Roovers gentoo-dev 2014-11-10 11:42:21 UTC
Fixed in 0.91 without revision bump.

The problem I did /not/ fix is that when the ncurses checks fail, building saidar is disabled (even when ./configure --enable-saidar). That said, upstream should probably have little problems accepting the patch. I even matched the whitespace...